UpdateOwner
/api/v1/ownerChange which user owns the organization.
Example request
Section titled “Example request”curl -X PATCH \ -H "Authorization: Bearer ${OBLIQUE_API_KEY}" \ -H "Content-Type: application/json" \ -d '{ "user": "string" }' \ "https://us.oblique.security/api/v1/owner?updateMask=user"Set OBLIQUE_API_KEY to your API key.
curl -X PATCH \ -H "Authorization: Bearer ${OBLIQUE_API_KEY}" \ -H "Content-Type: application/json" \ -d '{ "user": "string" }' \ "https://eu.oblique.security/api/v1/owner?updateMask=user"Set OBLIQUE_API_KEY to your API key.
Path parameters
Section titled “Path parameters”owner.namestringrequiredAssigned by Oblique. Always the single string
owner.
Query parameters
Section titled “Query parameters”updateMaskstring (field-mask)The list of fields to update.
Request body
Section titled “Request body”userstringrequiredThe user that’s designated as the server owner. Always required when updating, but may be empty during initial provisioning.
Format:
users/{user}createTimestring (date-time)read-onlyThe time this API object was created.
updateTimestring (date-time)read-onlyThe time this API object was last updated.
Response
Section titled “Response”200OwnerOwner is the primary point of contact for the Oblique server.
This API is a singleton API object, and as such only supports Get and Update methods.
namestringAssigned by Oblique. Always the single string
owner.userstringrequiredThe user that’s designated as the server owner. Always required when updating, but may be empty during initial provisioning.
Format:
users/{user}createTimestring (date-time)read-onlyThe time this API object was created.
updateTimestring (date-time)read-onlyThe time this API object was last updated.
Errors
Section titled “Errors”| Status | Meaning |
|---|---|
400 | Malformed request |
401 | Missing or invalid API key |
403 | Not allowed for this API key |
404 | Not found |
429 | Too many requests |
500 | Internal server error |